> ## Documentation Index
> Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get calls

> Returns in-game support calls. Defaults to calls available to be claimed (status open).



## OpenAPI

````yaml get /calls
openapi: 3.1.0
info:
  title: ReAdmin API
  version: 1.0.0
  description: ReAdmin developer api
  termsOfService: http://panel.readmin.app/legal/terms/
  contact:
    email: help@readmin.app
  x-fiddle-import-file: true
servers:
  - url: https://api.readmin.app
  - url: https://api.readmin.dev
    description: ReAdmin development API, only usable by ReAdmin developers.
security: []
tags:
  - name: Ranking Key
    description: Information about a key
  - name: Group Shout
    description: Update the group shout
  - name: Join Requests
    description: Get and manage join requests
  - name: Members
    description: Rank and exile members
  - name: Orders
    description: Operations related to orders management
  - name: Workspace
    description: Operations related to orders management
  - description: ''
    name: games
  - description: ''
    name: staff history
  - name: Activity
    description: Staff activity and minutes
  - name: Running Games
    description: Live tracked game servers
  - name: Time Off
    description: View and review time off requests
  - name: Teams
    description: Teams and team membership
  - name: Promotion Requests
    description: View promotion (nomination) requests
  - name: Calls
    description: In-game support calls and live chat
  - name: Sessions v2
    description: >-
      Modern, fully-normalized sessions API. Resources are flat and predictable,
      names are resolved, and lists are filterable and cursor-paginated.
externalDocs:
  description: ReAdmin docs
  url: http://docs.readmin.app
paths:
  /calls:
    get:
      tags:
        - Calls
      summary: Get calls
      description: >-
        Returns in-game support calls. Defaults to calls available to be claimed
        (status open).
      operationId: getCalls
      parameters:
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: open | claimed | closed | all (default open)
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallsResponse'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - loader-id: []
components:
  schemas:
    CallsResponse:
      type: object
      properties:
        success:
          type: boolean
        calls:
          type: array
          items:
            $ref: '#/components/schemas/Call'
    Call:
      type: object
      properties:
        _id:
          type: string
        groupId:
          type: string
        runningGameId:
          type: string
        gameId:
          type: number
        placeId:
          type: number
        discordChannelId:
          type: string
        type:
          type: string
          enum:
            - support
            - report
        status:
          type: string
          enum:
            - open
            - claimed
            - closed
        claimedBy:
          type: number
        callerId:
          type: number
        reportedUser:
          type: string
        reason:
          type: string
        messages:
          type: array
          items:
            $ref: '#/components/schemas/CallMessage'
        closed:
          oneOf:
            - type: boolean
            - type: object
              properties:
                user:
                  type: string
                reason:
                  type: string
                date:
                  type: string
                  format: date-time
                serverAcknowledged:
                  type: boolean
        created:
          type: string
          format: date-time
    CallMessage:
      type: object
      properties:
        username:
          type: string
        userId:
          type: number
        message:
          type: string
        id:
          type: string
        origin:
          type: string
          enum:
            - agent
            - user
            - systemMessage
        sentFrom:
          type: string
          enum:
            - discord
            - website
            - game
        created:
          type: string
          format: date-time
  responses:
    ServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              success:
                type: boolean
                default: false
              reason:
                type: string
  securitySchemes:
    loader-id:
      type: apiKey
      name: loader-id
      in: header

````